# Generated by rust2rpm 16
%bcond_without check
%global __cargo_skip_build 0
%global debug_package %{nil}

%global crate ecies-ed25519

Name:           rust-%{crate}
Version:        0.5.1
Release:        2%{?dist}.1
Summary:        ECIES on Twisted Edwards Curve25519 using AES-GCM and HKDF-SHA256

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/ecies-ed25519
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate
Patch0:         rust-ecies-ed25519-aes_gcm-version.patch

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging
%if ! %{__cargo_skip_build}
BuildRequires:  (crate(aes-gcm/default) >= 0.9.4 with crate(aes-gcm/default) < 0.10.0)
BuildRequires:  (crate(curve25519-dalek/default) >= 3.1.0 with crate(curve25519-dalek/default) < 4.0.0)
BuildRequires:  (crate(digest/default) >= 0.9.0 with crate(digest/default) < 0.10.0)
BuildRequires:  (crate(hex/default) >= 0.4.3 with crate(hex/default) < 0.5.0)
BuildRequires:  (crate(hkdf/default) >= 0.10.0 with crate(hkdf/default) < 0.11.0)
BuildRequires:  (crate(rand/default) >= 0.7.3 with crate(rand/default) < 0.8.0)
BuildRequires:  (crate(sha2/default) >= 0.9.3 with crate(sha2/default) < 0.10.0)
BuildRequires:  (crate(thiserror/default) >= 1.0.24 with crate(thiserror/default) < 2.0.0)
BuildRequires:  (crate(zeroize/default) >= 1.3.0 with crate(zeroize/default) < 2.0.0)
%if %{with check}
BuildRequires:  (crate(serde_cbor/default) >= 0.11.1 with crate(serde_cbor/default) < 0.12.0)
BuildRequires:  (crate(serde_json/default) >= 1.0.64 with crate(serde_json/default) < 2.0.0)
%endif
%endif

%global _description %{expand:
ECIES on Twisted Edwards Curve25519 using AES-GCM and HKDF-SHA256.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+aes-gcm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+aes-gcm-devel %{_description}

This package contains library source intended for building other packages
which use "aes-gcm" feature of "%{crate}" crate.

%files       -n %{name}+aes-gcm-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+digest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-devel %{_description}

This package contains library source intended for building other packages
which use "digest" feature of "%{crate}" crate.

%files       -n %{name}+digest-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+hkdf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hkdf-devel %{_description}

This package contains library source intended for building other packages
which use "hkdf" feature of "%{crate}" crate.

%files       -n %{name}+hkdf-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pure_rust-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pure_rust-devel %{_description}

This package contains library source intended for building other packages
which use "pure_rust" feature of "%{crate}" crate.

%files       -n %{name}+pure_rust-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+ring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ring-devel %{_description}

This package contains library source intended for building other packages
which use "ring" feature of "%{crate}" crate.

%files       -n %{name}+ring-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages
which use "serde" feature of "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+sha2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sha2-devel %{_description}

This package contains library source intended for building other packages
which use "sha2" feature of "%{crate}" crate.

%files       -n %{name}+sha2-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Jun 29 2022 Oleg Girko <ol@infoserver.lv> - 0.5.1-2
- Use newer aes-gcm crate
- Enable tests
* Thu Jul 15 2021 Oleg Girko <ol@infoserver.lv> - 0.5.1-1
- Initial package
